'use client'

import { Cookies, XVideosCategories } from '@/meta/settings';

import css from './Category.module.scss'

import React from 'react';

import { setCookie } from '@/utils/cookies/write';
import { useCookies } from 'react-cookie';

interface Props {
    labels: {
        title: string,
    }
}

const Category: React.FC<Props> = (props) => {

    const { labels } = props
    
    const [cookies] = useCookies([Cookies.category]);

    const handleChange = async (event: React.ChangeEvent<HTMLSelectElement>) => {
        const value = event.target.value;

        await setCookie(Cookies.category, value)
    }

    return (
        <div className={css.container}>
            <div className={css.title}>{labels.title}</div>
            <select defaultValue={ cookies.category ?? XVideosCategories.etero } onChange={handleChange} name={'category'} aria-label={labels.title}>
                {Object.keys(XVideosCategories).map((elem, key) => {
                    return <option className={css.option} key={key} value={elem}>{elem.toUpperCase()}</option>
                })}
            </select>
        </div>
    );
};

export default Category;